import request from '@/utils/request'

// 查询造价配置列表
export function listCost(query) {
  return request({
    url: '/system/cost/list',
    method: 'get',
    params: query
  })
}

// 查询造价配置详细
export function getCost(id) {
  return request({
    url: '/system/cost/' + id,
    method: 'get'
  })
}

// 新增造价配置
export function addCost(data) {
  return request({
    url: '/system/cost',
    method: 'post',
    data: data
  })
}

// 修改造价配置
export function updateCost(data) {
  return request({
    url: '/system/cost',
    method: 'put',
    data: data
  })
}

// 删除造价配置
export function delCost(id) {
  return request({
    url: '/system/cost/' + id,
    method: 'delete'
  })
}
